Alokai

BloomreachRecommendationsPathwaysGeneratedApiUploadApiRequest

Request parameters for uploadApi operation in BloomreachRecommendationsPathwaysGeneratedApi.

interface BloomreachRecommendationsPathwaysGeneratedApiUploadApiRequest {
	readonly accountId: number;
	readonly authKey?: string;
	readonly contentDisposition: string;
	readonly contentType: string;
	readonly domainKey: string;
	readonly widgetId: string;
}

Properties

NameRequiredTypeDescription
accountIdRequirednumberYour site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting. The example value shown here, <i>6276</i>, is included for your convenience to send a request with <b>Try It</b>.
authKeyOptionalstringThe unique key shared during the integration phase. This is used to authenticate your API call.
contentDispositionRequiredstringThis specifies the form field as "image" and the suggested filename of the image being uploaded. Example syntax: `Content-Disposition: form-data; name="image"; filename="filename.jpg"`
contentTypeRequiredstringThis header specifies the media type (image) and format. We accept all image formats - jpg, png, jpeg, webp. Example syntax: `Content-Type: image/jpeg`
domainKeyRequiredstringYour site domain's ID, which is provided by Bloomreach. This ID is for the domain that you want to receive your Bloomreach API requests. This parameter identifies the specific site version when one account ID hosts multiple site versions with unique characteristics, such as language versions. The example value shown here, <i>bloomreach_devdocs</i>, is included for your convenience to send a request with <b>Try It</b>.
widgetIdRequiredstringThe ID of the widget, which can be found in the Widget Configurator in the Dashboard. The example value shown here, <i>1jwy7eg9</i>, is included for your convenience to send a request with <b>Try It</b>.

On this page